/*
 * Author: gn
 */

import request from '@/router/axios'

export function fetchItemList(query) {
  return request({
    url: '/invtory/invgoodsprop/page',
    method: 'get',
    params: query
  })
}

export function addItemObj(obj) {
  return request({
    url: '/invtory/invgoodsprop',
    method: 'post',
    data: obj
  })
}

export function getObj(id) {
  return request({
    url: '/invtory/invgoodsprop/' + id,
    method: 'get'
  })
}

export function delItemObj(id) {
  return request({
    url: '/invtory/invgoodsprop/' + id,
    method: 'delete'
  })
}

export function putItemObj(obj) {
  return request({
    url: '/invtory/invgoodsprop',
    method: 'put',
    data: obj
  })
}
